package com.pms.ocp.common.config;

import org.springframework.boot.context.properties.ConfigurationProperties;

import lombok.Data;

/**
 * application自定义key 配置
 * 
 * @author wuwanli
 * @version 1.0
 * @date 2021/8/4
 */
@Data
@ConfigurationProperties(prefix = ApplicationKey.PREFIX)
public class ApplicationKey {
	public static final String PREFIX = "beagle";
	private final ApplicationKey.Jwt jwt;

	public ApplicationKey() {
		this.jwt = new ApplicationKey.Jwt();
	}
	@Data
	public static class Jwt {

		private String secretKey;

		private String expireTime;

		private String tokenPrefix;

	}
}
