package com.pms.ocp.common.config;

import com.zaxxer.hikari.HikariDataSource;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Primary;
import org.springframework.stereotype.Component;

/**
 * Bean 配置类
 * 
 * @author wuwanli
 * @version 1.0
 * @date 2021/8/4
 */
@Component
public class BeanConfig {

	@Bean("dataSource")
	@Primary
	@ConfigurationProperties(prefix = "spring.datasource")
	public HikariDataSource dataSource() {
		return new HikariDataSource();
	}
}
