package com.pms.ocp.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;
import java.sql.Timestamp;

@Data
@Accessors(chain = true)
@TableName("ocp_api_extent")
@ApiModel("服务扩展信息表")
public class OcpApiExtent {
  @TableId(type = IdType.AUTO)
  @ApiModelProperty("主键ID")
  private String objId;

  @ApiModelProperty("服务编码")
  private String apiCode;

  @ApiModelProperty("服务属性")
  private String apiAttribute;

  @ApiModelProperty("属性简述")
  private String apiAttrDesc;

  @ApiModelProperty("属性值")
  private String apiAttrValue;

  @ApiModelProperty("属性添加时间")
  private Timestamp apiAttrCtime;

  @ApiModelProperty("属性修改时间")
  private Timestamp apiAttrMtime;

  @ApiModelProperty("所属公司")
  private String ownerCompanyCode;

  @ApiModelProperty("是否已删除 0-否 1-是")
  private long isDelete;


  public String getObjId() {
    return objId;
  }

  public void setObjId(String objId) {
    this.objId = objId;
  }


  public String getApiCode() {
    return apiCode;
  }

  public void setApiCode(String apiCode) {
    this.apiCode = apiCode;
  }


  public String getApiAttribute() {
    return apiAttribute;
  }

  public void setApiAttribute(String apiAttribute) {
    this.apiAttribute = apiAttribute;
  }


  public String getApiAttrDesc() {
    return apiAttrDesc;
  }

  public void setApiAttrDesc(String apiAttrDesc) {
    this.apiAttrDesc = apiAttrDesc;
  }


  public String getApiAttrValue() {
    return apiAttrValue;
  }

  public void setApiAttrValue(String apiAttrValue) {
    this.apiAttrValue = apiAttrValue;
  }


  public Timestamp getApiAttrCtime() {
    return apiAttrCtime;
  }

  public void setApiAttrCtime(Timestamp apiAttrCtime) {
    this.apiAttrCtime = apiAttrCtime;
  }


  public Timestamp getApiAttrMtime() {
    return apiAttrMtime;
  }

  public void setApiAttrMtime(Timestamp apiAttrMtime) {
    this.apiAttrMtime = apiAttrMtime;
  }


  public String getOwnerCompanyCode() {
    return ownerCompanyCode;
  }

  public void setOwnerCompanyCode(String ownerCompanyCode) {
    this.ownerCompanyCode = ownerCompanyCode;
  }


  public long getIsDelete() {
    return isDelete;
  }

  public void setIsDelete(long isDelete) {
    this.isDelete = isDelete;
  }

}
