package com.pms.ocp.service;

import com.pms.ocp.model.entity.ModelProperty;
import com.pms.ocp.model.entity.ModelType;

import java.util.List;

/**
 * @Auther: wangjian
 * @Date: 2022/2/22 16:03
 * @Description:模型属性业务层接口
 */
public interface ModelPropertyService {

    /**
     * 创建模型属性
     *
     * @param modelProperty
     * @return
     */
    Integer createModelProperty(ModelProperty modelProperty);

    /**
     * 删除模型属性
     *
     * @param modelId
     * @return
     */
    Integer deleteModelProperty(String modelId);

    /**
     * 更新模型属性
     *
     * @param modelProperty
     * @return
     */
    Integer updateModelProperty(ModelProperty modelProperty);

    /**
     * 获取模型属性
     *
     * @param
     * @return
     */
    List<ModelProperty> getModelPropertyList();

    /**
     * 获取模型属性列表
     *
     * @param modelId
     * @return
     */
    ModelProperty getModelProperty(String modelId);
}
