package com.pms.ocp.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.pms.ocp.mapper.ModelMapper;
import com.pms.ocp.model.entity.Model;
import com.pms.ocp.service.ModelService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Auther: wangjian
 * @Date: 2022/2/22 16:21
 * @Description:模型业务层实现
 */

@Service
public class ModelServiceImpl implements ModelService {


    @Autowired
    private ModelMapper modelMapper;

    /**
     * 创建模型
     *
     * @param model
     * @return
     */
    @Override
    public Integer createModel(Model model) {
        return modelMapper.insert(model);
    }

    /**
     * 删除模型
     *
     * @param modelId
     * @return
     */
    @Override
    public Integer deleteModel(String modelId) {
        QueryWrapper<Model> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("model_id", modelId);
        return modelMapper.delete(queryWrapper);
    }

    /**
     * 更新模型
     *
     * @param model
     * @return
     */
    @Override
    public Integer updateModel(Model model) {
        return modelMapper.updateById(model);
    }

    /**
     * 获取模型列表
     *
     * @param
     * @return
     */
    @Override
    public List<Model> getModelList() {
        return modelMapper.selectList(null);
    }

    /**
     * 获取模型
     *
     * @param modelId
     * @return
     */
    @Override
    public Model getModel(String modelId) {
        QueryWrapper<Model> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("model_id", modelId);
        return modelMapper.selectOne(queryWrapper);
    }
}
